%define oname	tcllib

Name:           tcl-%{oname}
Version:        1.16
Release:        %mkrel 1
Summary:        Collection of utility modules for Tcl
License:        BSD
Group:          Networking/WWW
Source:         http://downloads.sourceforge.net/tcllib/%{oname}-%{version}.tar.bz2
URL:            http://www.tcl.tk/software/tcllib/
BuildRequires:  tcl-devel
BuildArch:      noarch

# Upstream patch for RHBZ #1197669
Patch50:    tcllib-1.16-textarea.patch

%description
Tcllib is a collection of utility modules for Tcl. These modules 
provide a wide variety of functionality, from implementations of 
standard data structures to implementations of common networking 
protocols. The intent is to collect commonly used function into 
a single library, which users can rely on to be available and 
stable.

%prep
%setup -q -n Tcllib-%{version}
%patch50 -p0
chmod -x modules/doctools/mpformats/fr.msg
# Convert a couple of files to UTF-8
for file in modules/struct/pool.html ; do
    iconv --from=ISO-8859-1 --to=UTF-8 ${file} > ${file}.new
    mv -f ${file}.new ${file}
done

%build
%configure2_5x --libdir=%{tcl_sitelib}
%make 

%install
%makeinstall_std

%files
%doc support/releases/PACKAGES README support/releases/history/README-1.9.txt
%doc ChangeLog license.terms
%{_bindir}/*
%{tcl_sitelib}/tcllib%{version}
%{_mandir}/mann/*


%changelog
* Fri May 01 2015 luigiwalser <luigiwalser> 1.16-1.mga4
+ Revision: 820987
- update to 1.16 and add patch from fedora to fix XSS issue (mga#15503)

* Fri Oct 18 2013 umeabot <umeabot> 1.13-3.mga4
+ Revision: 519574
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.13-2.mga3
+ Revision: 384146
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 07 2011 fwang <fwang> 1.13-1.mga2
+ Revision: 178033
- update file list
- new version 1.13

* Sun Dec 04 2011 wally <wally> 1.10-7.mga2
+ Revision: 176066
- rebuild for new tcl

* Mon Jan 17 2011 nanardon <nanardon> 1.10-6.mga1
+ Revision: 20690
- cleanup:
  - kill obsoletes (useless after 2006.0)
  - reorder section
- imported package tcl-tcllib

